Summary: A tool for generating reports from proxy cache log.
Name: calamaris
Version: 2.57
Release: 1
License: GPL
Group:  Applications/Internet
Source: http://cord.de/tools/squid/calamaris/calamaris-%{version}.tar.gz
URL:    http://cord.de/tools/squid/calamaris/
BuildArch: noarch
AutoReq:   false
Requires:  perl >= 5.002, perl(Getopt::Std) perl(Sys::Hostname) perl(Time::Local) perl(vars)
Packager:  Milan Kerslager <kerslage@linux.cz>
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gzip

# disable debuginfo package
%define debug_package %{nil}

%description
Calamaris is a Perl script, which was first intended as demo for a
statistical software for Squid. Calamaris parses logfiles from Squid,
NetCache, Inktomi Traffic Server, Oops! proxy server, Novell Internet
Caching System, Compaq Tasksmart or Netscape/iplanet Web Proxy Server
and generates a report. Written in Perl5.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir} \
         $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 calamaris   $RPM_BUILD_ROOT/%{_bindir}
install -m 644 calamaris.1 $RPM_BUILD_ROOT/%{_mandir}/man1
gzip -9 -f $RPM_BUILD_ROOT/%{_mandir}/man1/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%{_bindir}/calamaris
%{_mandir}/man1/*
%doc CHANGES COPYRIGHT EXAMPLES README

%changelog
* Sun May 11 2003 Milan Kerslager <kerslage@linux.cz> 2.57-1
- initial version
- FindRequires makes perl(-F) and perl(-f), why?
  So manual Requires is in place now
